export declare const sleep: (ms: number) => Promise<unknown>;
export declare function string2HtmlElement(str: string): HTMLElement;
export declare function GetQueryFromUrl(name: string, url?: string): string;
export declare function PreventWheelZoomOnElement(elm: HTMLElement): void;
export declare function refreshHTMLElement(element: HTMLElement): void;
export declare function isARSupported(): boolean;
export declare function OpenUsdz(url: string, image: string): void;
export declare function getKeyByValue<T, V>(map: Map<T, V>, value: V): Map<T, V>;
export declare function removeKeyByValue<T, V>(map: Map<T, V>, value: V): Map<T, V>;
export declare function FileToImage(file: File): Promise<HTMLImageElement>;
export declare function WaitMs(time?: number): Promise<void>;
export declare function FileToVideo(file: File): Promise<HTMLVideoElement>;
export declare function TryParseJson(str: string): any;
export declare function Lerp(start: number, end: number, amt: number): number;
export declare function lerpHexColor(a: string, b: string, amount: number): string;
export declare function extractInitials(title: string): string[];
export declare const MediaTypes: {
    VIDEO: string;
    IMAGE: string;
    UNKNOWN: string;
};
export declare function GetTypeFromFileName(fileName: string): string;
export declare function GetMediaSizeFromFile(file: File): Promise<{
    width: number;
    height: number;
}>;
export declare function GetImageSizeFromFile(file: File): Promise<{
    width: number;
    height: number;
}>;
export declare function GetVideoSizeFromFile(file: File): Promise<{
    width: number;
    height: number;
}>;
export declare class MultiMap<K, V> {
    private map;
    set(key: K, value: V): this;
    get(key: K): V[] | undefined;
    clear(): void;
    delete(key: K): boolean;
    has(key: K): boolean;
    get size(): number;
    forEach(callbackfn: (value: V[], key: K, map: Map<K[], V>) => void, thisArg?: any): void;
}
export declare function getNormalizedWheelDelta(event: WheelEvent | MouseWheelEvent, zoomFactor?: number): number;
export declare function hashCode(str: string): number;
export declare function omitDeep(input: any, props: any): any;
export declare function GetRequest(uri: string): Promise<string>;
export declare function traverse(this: any, o: any, fn: (obj: any, key: string, value: any, path: string, parentPath: string) => void, path?: string): void;
export declare function mergeConfigs(a: any, b: any): any;
export declare const mobileAndTabletCheck: () => boolean;
